> For the complete documentation index, see [llms.txt](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.agant.io/Y83ivqmfOiUspagNyFg6/api-reference/wallet.md).

# Wallet

## List Wallets

> Retrieves a list of Wallets.

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"servers":[{"url":"https://sandbox.agant.io/api/v1","description":"Sandbox"}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"schemas":{"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}}}},"paths":{"/wallets":{"get":{"operationId":"wallet.index","description":"Retrieves a list of Wallets.","summary":"List Wallets","tags":["Wallet"],"responses":{"200":{"description":"Array of `WalletResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/WalletResource"}}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"}}}}}}
```

## Create Wallet

> Adds a new Wallet.

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"servers":[{"url":"https://sandbox.agant.io/api/v1","description":"Sandbox"}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"schemas":{"WalletStoreRequest":{"type":"object","properties":{"name":{"type":"string","description":"A human-readable label for the wallet.\n* Helps identify the wallet in dashboards and API responses.*","maxLength":255},"network_id":{"type":"string","description":"The network this wallet belongs to.\n* Use the **List Networks** endpoint to retrieve the latest valid network IDs."},"address":{"type":"string","description":"The public blockchain address for this wallet.\n* Must be valid for the specified network and unique within your company.","minLength":32,"maxLength":44}},"required":["name","network_id","address"],"title":"WalletStoreRequest"},"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"AuthorizationException":{"description":"Authorization error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ValidationException":{"description":"Validation error","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Errors overview."},"errors":{"type":"object","description":"A detailed description of each field that failed validation.","additionalProperties":{"type":"array","items":{"type":"string"}}}},"required":["message","errors"]}}}}}},"paths":{"/wallets":{"post":{"operationId":"wallet.store","description":"Adds a new Wallet.","summary":"Create Wallet","tags":["Wallet"],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WalletStoreRequest"}}}},"responses":{"200":{"description":"`WalletResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/WalletResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"403":{"$ref":"#/components/responses/AuthorizationException"},"422":{"$ref":"#/components/responses/ValidationException"}}}}}}
```

## Get Wallet

> Retrieves a Wallet.

```json
{"openapi":"3.1.0","info":{"title":"Agant API Docs","version":"0.0.2"},"servers":[{"url":"https://sandbox.agant.io/api/v1","description":"Sandbox"}],"security":[{"http":[]}],"components":{"securitySchemes":{"http":{"type":"http","scheme":"bearer"}},"schemas":{"WalletResource":{"type":"object","properties":{"id":{"type":["string","null"]},"display_name":{"type":"string"},"is_custodial":{"type":"boolean"},"network":{"type":"string"},"address":{"type":"string"}},"required":["id","display_name","is_custodial","network","address"],"title":"WalletResource"}},"responses":{"AuthenticationException":{"description":"Unauthenticated","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}},"ModelNotFoundException":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"message":{"type":"string","description":"Error overview."}},"required":["message"]}}}}}},"paths":{"/wallets/{wallet}":{"get":{"operationId":"wallet.show","description":"Retrieves a Wallet.","summary":"Get Wallet","tags":["Wallet"],"parameters":[{"name":"wallet","in":"path","required":true,"description":"The wallet public id","schema":{"type":["string","null"]}}],"responses":{"200":{"description":"`WalletResource`","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/WalletResource"}},"required":["data"]}}}},"401":{"$ref":"#/components/responses/AuthenticationException"},"404":{"$ref":"#/components/responses/ModelNotFoundException"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.agant.io/Y83ivqmfOiUspagNyFg6/api-reference/wallet.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
